cgGetParameterNamedType(3)

NAME
cgGetParameterNamedType - get a program parameter's type

SYNOPSIS
  #include <Cg/cg.h>
  CGtype cgGetParameterNamedType( CGparameter param );

PARAMETERS

param
    The parameter.

RETURN VALUES
Returns the type of param.

DESCRIPTION
cgGetParameterNamedType returns the type of param similarly to cgGetParameterType. However, if the type is a user defined struct it will return the unique enumerant associated with the user defined type instead of CG_STRUCT.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

HISTORY
cgGetParameterNamedType was introduced in Cg 1.2.

SEE ALSO
the cgGetParameterType manpage, the cgGetParameterBaseType manpage